// <#-- Group Window -->
Ext.define("App.view.GroupWindow", {
    extend: "Ext.window.Window",
    alias: "widget.groupWindow",

    height: "692px",
    width: "729px",
    constrainHeader: true,
    modal: true,
    layout: "fit",
    resizable: false,
    params: {},

    initComponent: function() {
        var me = this;

        Ext.apply(me, {
            items: [
                {
                    xtype: "groupForm",
                    params: me.params
                }
            ],

            listeners: {
                show: function(window, opts) {
                    if (me.params.record) {
                        form = me.down("form").getForm();
                        me.down("form").loadRecord(me.params.record);
                    }
                },
                close: function(window, opts) {
                    if (me.callbackOnClose) {
                        me.callbackOnClose();
                    }
                }
            }
        });

        me.callParent(arguments);
    }
});
